All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.navigationbar.html
Class TableRowNavigationBar

    com.sas.servlet.tbeans.navigationbar.html.TableRowNavigationBar

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, NavigationBarStyleKeysInterface, NavigationBarKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class TableRowNavigationBar

TableRowNavigationBar is a TransformationBean™ that is composed of other TransformationBeans™ that includes the following sub-component: `NavigationBarRowScrollingElement`.

This is the default NavigationBar Transformation Bean used by the `TableViewComposite` or the `OLAPTableViewComposite` Transformation Beans to display row scrolling for the TableView. This NavigationBar has just a `NavigationBarRowScrollingElement` attached by default.

The NavigationBar is one of several TransformationBeans™ that are considered composite components. A composite component allows a developer to design custom components that are made up of a combination of other components, such as TextEntry, ListBox, and Label TransformationBeans™. The visual layout of a composite component can be easily controlled through a template. For more information on composite TransformationBeans™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Composite TransformationBeans™ as well as the TransformationBean™ Component and Style Reference.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:TableRowNavigationBar custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.navigationbar.html.NavigationBarStyleKeysInterface
`COLUMN_NAVIGATIONBAR_CONTAINER_STYLE, NAVIGATIONBAR_CONTAINER_STYLE, NAVIGATIONBAR_ELEMENT_STYLE`

Fields inherited from interface com.sas.servlet.tbeans.navigationbar.NavigationBarKeysInterface
`NAVIGATIONBAR_COLUMN_ELEMENT, NAVIGATIONBAR_EDIT_ELEMENT, NAVIGATIONBAR_ROW_ELEMENT`

Constructor Summary
`TableRowNavigationBar()` Default constructor for the Row Navigation Bar.
`TableRowNavigationBar(AbstractBaseTableView table)` Constructor for the Row Navigation Bar.

Method Summary

Methods inherited from class com.sas.servlet.tbeans.navigationbar.html.NavigationBar
`isVisible`

Methods inherited from class com.sas.servlet.tbeans.navigationbar.BaseNavigationBar
`getModel, setModel, writeContent`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setActionProvider, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Constructor Detail

### TableRowNavigationBar

    public TableRowNavigationBar()

  Default constructor for the Row Navigation Bar. Adds a NavigationBarRowScrollingElement to the NavigationBar and sets the model to null.

  Parameters:
    `table` - the instanceof the TableView that uses this navigationBar

### TableRowNavigationBar

    public TableRowNavigationBar(AbstractBaseTableView table)

  Constructor for the Row Navigation Bar. Adds a NavigationBarRowScrollingElement to the NavigationBar and sets the table as the model.

  Parameters:
    `table` - the instanceof the TableView that uses this navigationBar

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.